#ifndef SLIDERGROUP_H
#define SLIDERGROUP_H

#include <QObject>
#include <QWidget>
#include <QDebug>
#include <QDial>

#include "clickabledoublespinbox.h"

class DialGroup : public QWidget
{
    Q_OBJECT
public:
    DialGroup(QString name,
                int min,
                int max,
                int decimals,
                QWidget *parent = nullptr);

signals:
    void valueChanged(int value);

public slots:
    void setValue(float value);
    void sliderValueChanged(int value);

private:
    QDial slider;
    ClickableDoubleSpinBox valueBox;

};

#endif
